Bug 1282116 - Migrate dependency to python3
Migrate dependency to python3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 19:11 EST by Mohammed Safwat
Modified: 2015-11-15 11:09 EST (History)
5 users (show)

See Also:
Fixed In Version: anjuta-3.18.2-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-15 11:09:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed spec file changes (1.07 KB, application/mbox)
2015-11-14 19:11 EST, Mohammed Safwat
no flags Details

  None (edit)
Description Mohammed Safwat 2015-11-14 19:11:25 EST
Created attachment 1094259 [details]
proposed spec file changes

Description of problem:
Anjuta currently has a build dependency on python-devel(python2) as evident from the spec file. As fedora is making the move to python3 for all packages, this package should be updated to cope with this move.

Version-Release number of selected component (if applicable):
3.18.2-1

Additional info:
The attached patch proposes one way to force the build to use python3 development files. It mayn't be the best way but it just illustrates that a couple of trivial changes are all what's needed to depend on python3.
Comment 1 Mohammed Safwat 2015-11-14 19:17:17 EST
I'm also a packager and I'm ready to do any further work if required to complete the migration for this package.

Note You need to log in before you can comment on or make changes to this bug.